<template>
  <el-dialog  append-to-body :visible.sync="isShow" :before-close="resetCancel">
    <el-form :model="form">
      <el-form-item label="名称" :label-width="formLabelWidth">
        <el-input v-model="form.name" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="	数量" :label-width="formLabelWidth">
        <el-input v-model="form.number" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="(规格)型号" :label-width="formLabelWidth">
        <el-input v-model="form.size" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="处理方式" :label-width="formLabelWidth">
        <el-input v-model="form.handleMode" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="	处理地点" :label-width="formLabelWidth">
        <el-input v-model="form.handlePlace" autocomplete="off"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="resetCancel">取 消</el-button>
      <el-button type="primary" @click="cancell()">确 定</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  name: "expropGoodsInventory-from",
  props:['isShow'],
  data() {
    return {
      form: {
        name: '',
        number: '',
        size: '',
        handleMode: '',
        handlePlace: '',
      },
      formLabelWidth: '120px'
    };
  },
  methods:{
    reset(){
      this.form = {
        name: '',
        number: '',
        size: '',
        handleMode: '',
        handlePlace: ''
      }
    },
    resetCancel(){
      this.$emit('cancell',false);
      this.reset();
    },
    cancell(){
        this.$emit('cancell',false,this.form);
        this.reset();
    }
  },
}
</script>

<style scoped>

</style>
